# The Basics

- [Installation](https://docs.neuron-ai.dev/v2/the-basics/getting-started.md): Step by step instructions on how to install Neuron in your application and create an Agent.
- [Agent](https://docs.neuron-ai.dev/v2/the-basics/agent.md): Easily implement LLM interactions extending the basic Agent class.
- [AI Provider](https://docs.neuron-ai.dev/v2/the-basics/ai-provider.md): Interact with LLM providers or extend the framework to implement new ones.
- [Tools & Toolkits](https://docs.neuron-ai.dev/v2/the-basics/tools.md): Give Agents the ability to interact with your application context and services.
- [MCP](https://docs.neuron-ai.dev/v2/the-basics/mcp-connector.md): Connect the tools provided by Model Context Protocol (MCP) servers to your agent.
- [Chat History](https://docs.neuron-ai.dev/v2/the-basics/chat-history-and-memory.md): Learn how Neuron AI manage multi turn conversations.
- [Streaming](https://docs.neuron-ai.dev/v2/the-basics/streaming.md): Presenting AI response to your user in real-time.
- [Structured Output](https://docs.neuron-ai.dev/v2/the-basics/structured-output.md): Enforce the Agent output based on the provided schema.
- [Attachments (Documents & Images)](https://docs.neuron-ai.dev/v2/the-basics/attachments-documents-and-images.md): Attach documents and images to your message.
- [Async](https://docs.neuron-ai.dev/v2/the-basics/asynchronous-processing.md): Execute multiple parallel processes using Neuron async interface.
- [Monitoring & Debugging](https://docs.neuron-ai.dev/v2/the-basics/observability.md): Monitor your AI Agents, RAGs, and Workflows in real-time.
- [Error Handling](https://docs.neuron-ai.dev/v2/the-basics/error-handling.md): Managing errors fired by your agent.
- [Evaluation](https://docs.neuron-ai.dev/v2/the-basics/evaluation.md): Evaluating the output of your agentic system


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neuron-ai.dev/v2/the-basics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
